// You can import API functions like this from D3.js.
import { select, csv } from 'd3';

// You can import local ES6 modules like this. See message.js!
import { message } from './myMessage';
// This line uses D3 to set the text of the message div.
select('#message').text(message).style('font-size', '32px');

var svg = d3.select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');
const circleGroup = svg
  .append('g')
  .attr(
    'transform',
    `translate(${width / 2}, ${height / 2})`
  );

const c1= circleGroup.append('circle')
.attr('cx', -150)
.attr('r',70)
.attr('fill', 'purple')
.on('mouseover', function() {
  c1.attr('fill', 'green')
})
.on('mouseout', function(){
	c1.attr('fill', 'brown')
});

const c2= circleGroup.append('circle')
.attr('r',70)
.attr('fill', 'purple')
.on('mouseover', function() {
  c2.attr('fill', 'orange')
})
.on('mouseout', function(){
	c2.attr('fill', 'yellow')
});


const c3 = circleGroup.append('circle')
.attr('cx', 150)
.attr('r',70)
.attr('fill', 'purple')
.on('mouseover', function() {
  c3.attr('fill', 'red')
})
.on('mouseout', function(){
	c3.attr('fill', 'blue')
});
const btn = d3.select('button');
c3.on('mouseover', function() {
  c1.attr('cx',d3.randomUniform(-250, 250));
  c2.attr('cx',d3.randomUniform(-250, 250));
  c3.attr('cx',d3.randomUniform(-250, 250));
});

const render = (data) => {
   const g = svg.append('g').attr(
    'transform',
    `translate(${0}, 
  ${0})`
  );
  
  g.selectAll('rect')
	.data(data)
  .enter()
  .append('rect')
	.attr('width', 100)
  .attr('height', 200)
	}


csv('data.csv').then((data) => {
  data.forEach((d) => { 
    console.log(d.Country, d['2022 Population']);
    render(data);
  });
});